<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->

<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:rich="http://richfaces.org/rich"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:c="http://java.sun.com/jstl/core" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:gazelle="http://www.ihe.net/gazelle" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <nav class="navbar navbar-default navbar-static-top">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar"
                    aria-expanded="false" aria-controls="navbar">
                <span class="sr-only">#{messages['net.ihe.gazelle.assets.ToggleNavigation']}</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <h:outputLink styleClass="navbar-brand"
                          value="/#{applicationPreferenceManager.getApplicationUrlBaseName()}/home.seam">
                <h:outputText
                        rendered="#{not identity.loggedIn or not applicationManagerBean.isTestManagement()}"
                        value="#{applicationPreferenceManager.getApplicationName()}"/>
            </h:outputLink>


            <h:outputLink value="http://gazelle.ihe.net/" styleClass="gzl-right-logo"
                          rendered="#{!identity.loggedIn or (empty gazelleDAO.getSelectedTestingSession().getLogoUrl())}"
                          style="text-decoration:none;border:none;" target="_blank">
                <h:graphicImage library="img" alt="#{messages['gazelle.tm.IHELogo']}"
                                name="gazelle.png" height="34"
                                style="text-decoration:none;border:none;"/>
            </h:outputLink>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
            <ul class="nav navbar-nav">
                <c:forEach items="#{menu.items}" var="item">
                    <h:panelGroup rendered="#{item.visible}">
                        <c:choose>
                            <c:when test="#{not empty item.items}">
                                <li class="dropdown">
                                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button"
                                       aria-expanded="false">
                                        <h:outputText value="#{messages[item.page.label]}"
                                                      style="white-space: nowrap;"/>
                                        <span class="caret"></span>
                                    </a>
                                    <ul class="dropdown-menu multi-level" aria-labelledby="dropdownMenu" role="menu">
                                        <c:forEach items="#{item.items}" var="child">
                                            <h:panelGroup rendered="#{child.visible and not empty child.items}">
                                                <li class="dropdown-submenu">
                                                    <a href="#">
                                                        <span class="fa #{child.page.icon}"></span>

                                                        <h:outputText value="#{messages[child.page.label]}"/>
                                                    </a>
                                                    <ul class="dropdown-menu">
                                                        <c:forEach items="#{child.items}" var="subChild">
                                                            <h:panelGroup
                                                                    rendered="#{subChild.visible and not empty subChild.items}">
                                                                <li class="dropdown-submenu">
                                                                    <span class="fa #{subChild.page.icon}"></span>
                                                                    <h:outputText
                                                                            value="#{messages[subChild.page.label]} #{messages['net.ihe.gazelle.evsclient.Menu1']}"/>

                                                                    <ul class="dropdown-menu">
                                                                        <c:forEach items="#{subChild.items}"
                                                                                   var="subsubChild">
                                                                            <h:panelGroup
                                                                                    rendered="#{subsubChild.visible}">
                                                                                <li>
                                                                                    <h:outputLink
                                                                                            value="/#{applicationPreferenceManager.getApplicationUrlBaseName()}#{subsubChild.page.getMenuLink()}">
                                                                                        <span class="fa #{subsubChild.page.icon}"></span>

                                                                                        <h:outputText
                                                                                                value="#{messages[subsubChild.page.label]}"/>
                                                                                    </h:outputLink>

                                                                                </li>
                                                                            </h:panelGroup>
                                                                        </c:forEach>
                                                                    </ul>
                                                                </li>
                                                            </h:panelGroup>
                                                            <li>
                                                                <h:outputLink
                                                                        value="/#{applicationPreferenceManager.getApplicationUrlBaseName()}#{subChild.page.getMenuLink()}">
                                                                    <span class="fa #{subChild.page.icon}"></span>
                                                                    <h:outputText value="#{messages[subChild.page.label]}"/>
                                                                </h:outputLink>
                                                            </li>
                                                        </c:forEach>
                                                    </ul>
                                                </li>
                                            </h:panelGroup>
                                            <!-- First element under dropdown menu item -->
                                            <h:panelGroup rendered="#{child.visible and empty child.items}">
                                                <li>
                                                    <h:outputLink
                                                            value="/#{applicationPreferenceManager.getApplicationUrlBaseName()}#{child.page.getMenuLink()}">
                                                        <span class="fa #{child.page.icon}"/>
                                                        <h:outputText value="#{messages[child.page.label]}"/>
                                                    </h:outputLink>

                                                </li>
                                            </h:panelGroup>
                                        </c:forEach>
                                    </ul>
                                </li>
                            </c:when>
                            <c:otherwise>
                                <li>
                                    <h:outputLink
                                            value="/#{applicationPreferenceManager.getApplicationUrlBaseName()}#{item.page.getMenuLink()}"
                                            role="button">
                                        <h:outputText value="#{messages[item.page.label]}"
                                                      style="white-space: nowrap;"/>
                                    </h:outputLink>
                                </li>
                            </c:otherwise>
                        </c:choose>
                    </h:panelGroup>
                </c:forEach>
            </ul>

            <ul class="nav navbar-nav navbar-right">

                <!-- Login menu from cas-client-ui-v7 -->
                <ui:decorate template="/layout/_login_menu.xhtml">
                </ui:decorate>


                <h:panelGroup rendered="#{identity.loggedIn}">
                    <li>
                        <h:panelGroup rendered="#{applicationManagerBean.isUseMessages()}">
                            <a id="messagesCount" href="#" data-toggle="modal"
                               data-target="#lastMessagesModalPanel"><span class="badge"><h:outputText
                                    id="messageCounterButton"
                                    value="#{messageManager.getUnreadCount()}"/></span> #{messages['net.ihe.gazelle.evsclient.Messages']}</a>
                        </h:panelGroup>
                    </li>
                </h:panelGroup>
            </ul>
        </div>
        <!--/.nav-collapse -->
    </nav>
</ui:composition>
